io.milvus.response

## Class ShowPartResponseWrapper.PartitionInfo

- java.lang.Object
- - io.milvus.response.ShowPartResponseWrapper.PartitionInfo

Enclosing class:
  ShowPartResponseWrapper

    public static final class ShowPartResponseWrapper.PartitionInfo
    extends java.lang.Object

Internal-use class to wrap response of `showPartitions` interface.

### Constructor Summary

Constructors
Constructor and Description
`PartitionInfo(java.lang.String name, long id, long utcTimestamp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setInMemoryPercentage(long inMemoryPercentage)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PartitionInfo

    public PartitionInfo(java.lang.String name,
                         long id,
                         long utcTimestamp)

### Method Detail

#### setInMemoryPercentage

    public void setInMemoryPercentage(long inMemoryPercentage)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`